Skip to content
Start here

Create Assets Upload Session

workers.scripts.assets.upload.create(strscript_name, UploadCreateParams**kwargs) -> UploadCreateResponse
POST/accounts/{account_id}/workers/scripts/{script_name}/assets-upload-session

Start uploading a collection of assets for use in a Worker version. To learn more about the direct uploads of assets, see https://developers.cloudflare.com/workers/static-assets/direct-upload/.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
script_name: str

Name of the script, used in URLs and route configuration.

manifest: Dict[str, Manifest]

A manifest ([path]: {hash, size}) map of files to upload. As an example, /blog/hello-world.html would be a valid path key.

hash: str

The hash of the file.

size: int

The size of the file in bytes.

ReturnsExpand Collapse
class UploadCreateResponse:
buckets: Optional[List[List[str]]]

The requests to make to upload assets.

jwt: Optional[str]

A JWT to use as authentication for uploading assets.

Create Assets Upload Session

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
upload = client.workers.scripts.assets.upload.create(
    script_name="this-is_my_script-01",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    manifest={
        "foo": {
            "hash": "hash",
            "size": 0,
        }
    },
)
print(upload.buckets)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "buckets": [
      [
        "string"
      ]
    ],
    "jwt": "jwt"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "buckets": [
      [
        "string"
      ]
    ],
    "jwt": "jwt"
  }
}